{% load wagtailcore_tags %}

<p>{{ item.perex }}</p>

{% for block in item.content %}
    {% if block.block_type == "text" %}
        {% comment %}
            No need to wrap this in a <p>, as the value already does this
        {% endcomment %}
        {{ block.value }}
    {% elif block.block_type == "quote" %}
        <blockquote>„{{ block.value.quote }}“</blockquote>
        <p>— {{ block.value.autor_name }}</p>
    {% elif block.block_type == "download" %}
        <p>
            Soubor „{{ block.value.file }}“ ke stažení: <a href="{{ block.value.file.url }}">{{ block.value.file.url }}</a>
        </p>
    {% elif block.block_type == "image" %}
        <a href="{{ block.value.href }}">
            <img
                src="{{ block.value.image.url }}"
                alt="{{ block.value.image.alt }}
            >
        </a>
        <p>{{ block.value.text }}</p>
    {% endif %}
{% endfor %}
